Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Class MailResourceConfigKeys

    java.lang.Object
      com.sun.appserv.management.config.MailResourceConfigKeys

public final class MailResourceConfigKeys
extends java.lang.Object

Keys used by `DomainConfig.createMailResourceConfig(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.util.Map)`.

Field Summary
`static java.lang.String` | `DEBUG_KEY` Key for use with `DomainConfig.createMailResourceConfig(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.util.Map)`
`static java.lang.String` | `STORE_PROTOCOL_CLASS_KEY` Key for use with `DomainConfig.createMailResourceConfig(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.util.Map)`
`static java.lang.String` | `STORE_PROTOCOL_KEY` Key for use with `DomainConfig.createMailResourceConfig(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.util.Map)`
`static java.lang.String` | `TRANSPORT_PROTOCOL_CLASS_KEY` Key for use with `DomainConfig.createMailResourceConfig(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.util.Map)`
`static java.lang.String` | `TRANSPORT_PROTOCOL_KEY` Key for use with `DomainConfig.createMailResourceConfig(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.util.Map)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STORE_PROTOCOL_KEY

    public static final java.lang.String STORE_PROTOCOL_KEY

  Key for use with `DomainConfig.createMailResourceConfig(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.util.Map)`

  See Also:
    Constant Field Values

### STORE_PROTOCOL_CLASS_KEY

    public static final java.lang.String STORE_PROTOCOL_CLASS_KEY

  Key for use with `DomainConfig.createMailResourceConfig(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.util.Map)`

  See Also:
    Constant Field Values

### TRANSPORT_PROTOCOL_KEY

    public static final java.lang.String TRANSPORT_PROTOCOL_KEY

  Key for use with `DomainConfig.createMailResourceConfig(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.util.Map)`

  See Also:
    Constant Field Values

### TRANSPORT_PROTOCOL_CLASS_KEY

    public static final java.lang.String TRANSPORT_PROTOCOL_CLASS_KEY

  Key for use with `DomainConfig.createMailResourceConfig(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.util.Map)`

  See Also:
    Constant Field Values

### DEBUG_KEY

    public static final java.lang.String DEBUG_KEY

  Key for use with `DomainConfig.createMailResourceConfig(java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.util.Map)`

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.